.app.pf1.actor-selector {
  min-width: 300px;

  form {
    display: flex;
    flex-flow: column;
    overflow: hidden;

    .actor-list {
      max-height: 600px;
      overflow: hidden scroll;
      .scrollbar();

      list-style: none;
      margin: 0;
      padding: 0;

      display: flex;
      flex: 1;
      flex-flow: column nowrap;

      gap: 1px;

      > .actor {
        > label {
          display: flex;
          flex-flow: row nowrap;
          align-items: center;
          gap: 0.3em;
        }

        &.selected {
          background-color: rgba(0, 0, 0, 0.1);
        }

        h3 {
          margin: 0;
          padding: 0;
        }

        .image {
          flex: 0 0 64px;
          max-width: 64px;
          max-height: 64px;
          object-fit: contain;
        }

        .details {
          flex: 1;
          display: flex;
          flex-flow: column nowrap;
          overflow: hidden;

          .actor-name {
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
          }
        }

        input {
          display: none;

          &:checked ~ .details .actor-name {
            font-weight: bold;
          }
        }

        &:hover {
          border-color: #3030ff;
        }

        &.disabled {
          color: gray;

          img {
            filter: grayscale(100%);
          }

          &:hover {
            border-color: transparent;
          }
        }
      }
    }
  }
}
